updateDesc <- function(packageVersion)
{
  packageDate <- format(Sys.time(),"%Y-%m-%d @ %H:%M")
  #IMPORTS is nice because it doesn't force the loading of the entire namespace!
  #NULL if there are no depends, otherwise names of packages in c()
  DEPENDS <- c("e1071","MASS","reshape2","foreach","xtable","plyr") #c("Rcpp") #Rcpp when I resume that development
  #e1071 provides permutations for counterbalance.r
  SUGGESTS <- NULL #c("lattice","MASS")
  IMPORTS <- NULL
  #Values for the DESCRIPTION file
  Author <- "Russell S. Pierce <Russell.S.Pierce@gmail.com>"
  Maintainer <- "Russell S. Pierce <Russell.S.Pierce@gmail.com>"
  ShortDesc <- "A repository for a variety of useful functions."
  LongDesc <- "A respository for a variety of useful functions which may be of interest or otherwise reused.  Unless otherwise stated in the function description, all functions are authored by Russell S. Pierce."
  #License should be one of the "Standard" short specifications
  #See: http://cran.r-project.org/doc/manuals/R-exts.html#The-DESCRIPTION-file
  #GPL-2 GPL-3 LGPL-2 LGPL-2.1 LGPL-3 AGPL-3 Artistic-1.0 Artistic-2.0
  License <- "Artistic-2.0"
  #Compatible with GPL 2.0 but not 1.0
  
  
  
  if (!is.null(DEPENDS)) {
    DEPENDSvalue <- paste("Depends: ",paste(DEPENDS,collapse=", "),"\n",sep="")
  } else {DEPENDSvalue <- NULL}
  if (!is.null(SUGGESTS)) {
    SUGGESTSvalue <- paste("Suggests: ",paste(SUGGESTS,collapse=", "),"\n",sep="")
  } else {SUGGESTSvalue <- NULL}
  if (!is.null(IMPORTS)) {
    IMPORTSvalue <- paste("Imports: ",paste(IMPORTS,collapse=", "),"\n",sep="")
  } else {IMPORTSvalue <- NULL}
  
  #This is the DESCRIPTION file
  cat("Package: ",packageName,"
Type: Package
Title: ",ShortDesc,"
Version: ", packageVersion, "
Date: ",packageDate,"
Author: ",Author,"
Maintainer: ",Maintainer,"\n",
if (length(DEPENDS) >0) {DEPENDSvalue},
  if (length(SUGGESTS) >0) {SUGGESTSvalue},
  if (length(IMPORTS) >0) {IMPORTSvalue},
"Description: ",LongDesc,"
License: ",License,"
LazyLoad: yes
",
#LinkingTo: Rcpp",

file=paste(getwd(),"./DESCRIPTION",sep=""),sep="")
}

uploadrussmisc <- function() {

}
